<div class="container">
  <div class="col-md-8 col-sm-12 col-md-offset-2 form-flex form-panel_wrapper">
      <%= form_for @offer do |f| %>
        <div class="panel panel-default">
          <div class="panel-heading">
            <div class="form-heading-title">Créer une nouvelle offre de vacation animateur</div>
          </div>
          <div class="panel-body">
            <div class="form-group">
              <%= f.label :school_id, 'Ecole', class: 'control-label'%>
              <%= f.collection_select :school_id, current_center.schools, :id, :name, {}, { class: 'form-control' } %>
            </div>
            <div class="form-group">
              <%= f.label :date, 'Date', class: 'control-label'%>
              <%= f.text_field :date, id: 'offer-date', class: 'form-control', placeholder: 'Date', :required => true %>
            </div>
            <div class="form-group">
              <%= f.label :time_slot, 'Plage horaire', class: 'control-label'%>
              <%= f.select :time_slot, options_for_select(
                  [
                      ["Interclasse", "Interclasse"],
                      ["Centre de Loisirs", "Centre de Loisirs"],
                      ["Goûter / Etude", "Goûter / Etude"],
                      ["TAP", "TAP"]
                  ]
              ), {include_blank: false}, {class: 'form-control'} %>
            </div>
            <div class="form-group required">
              <%= f.label :diploma, 'Diplôme requis', class: 'control-label'%>
                <div class="dropdown">
                  <button class="btn btn-default dropdown-toggle" type="button" id="dropdownMenu1" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
                    Choisir un ou plusieurs diplômes
                    <span class="caret"></span>
                  </button>
                  <ul class="dropdown-menu" aria-labelledby="dropdownMenu1">
                    <%= f.collection_check_boxes :diploma_ids, Diploma.all, :id, :name do |b| %>
                      <li>
                        <%= b.check_box %>
                        <%= b.label %>
                      </li>
                    <% end %>
                  </ul>
                </div>
            </div>
            <div class="form-group">
              <%= f.label :offer_number, 'Nombre de postes à pourvoir', class: 'control-label'%>
              <%= f.number_field :offer_number, class: 'form-control', :value => '1' ,:required => true %>
            </div>

      </div> <!-- .panel-body -->
    </div> <!-- .panel -->
          <%= f.submit t('.submit', default: "Créer l'offre"), class: 'btn btn-edit-form' %>
      <% end %> <!-- form -->
  </div>
</div>

<script>
    $(function(){
        $('#offer-date').datepicker({
            dateFormat: 'yy-mm-dd',
            monthNames: ['Janvier','Février','Mars','Avril','Mai','Juin','Juillet','Août','Septembre','Octobre','Novembre','Décembre'],
            dayNamesMin: ['D','L','M','M','J','V','S'],
            minDate: 0,
            beforeShowDay: $.datepicker.noWeekends,
            firstDay: 1
        })
    })
</script>